#include "mainwindow.h"
#include "ui_mainwindow.h"


int AN[4];
float Volt[4];

void InitHW()
{
    wiringPiSetup();
    ads1115Setup(100,0x48);
}

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    InitHW();
    timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(Timer_1()));
    timer->start(50);
}

MainWindow::~MainWindow()
{
    timer->stop();
    delete ui;
}



void MainWindow::Timer_1()
{
    for(int i=0;i<4;i++)
    {
        AN[i] = (int16_t) analogRead(100+i);
        Volt[i] = AN[i] * (4.096 / 32768);
    }
    ui->progressBar->setValue(AN[0]);
    ui->progressBar_2->setValue(AN[1]);
    ui->progressBar_3->setValue(AN[2]);
    ui->progressBar_4->setValue(AN[3]);

    ui->lcdNumber_2->display(Volt[0]);
    ui->lcdNumber_4->display(Volt[1]);
    ui->lcdNumber_6->display(Volt[2]);
    ui->lcdNumber_8->display(Volt[3]);
}
